{
=============================================================================
| THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"  |
| AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE    |
| IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE   |
| ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR  |
| ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL       |
| DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR   |
| SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER   |
| CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT           |
| LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY    |
| OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH  |
| DAMAGE.                                                                      |
=============================================================================
   Author:  D.J.C. Blijker.
   Date:    24-4-2003
   version: 2.0
   e-mail:  c.blijker@wxs.nl
=============================================================================

  Project: Log-Daemon
  Module:  LogDaemon_Common
=============================================================================
}
unit LogDaemon_Common;

interface

uses
  Sysutils;

const
  LOGDAEMON_SERVICE = 'LogDaemonService';
  LOGDAEMON_PORT = '15591';
  LOGDAEMON_ADDRESS = 'localhost';  // Default value..

// Change this value when the netmask differs !!!!!!!!!!
  CURRENT_NETMASK = '255.255.255.0';

// Udp recognition cookies..  ;-)
  LOG_SERVER_COOKIE = 'Please tell me..';

// PLM_xxx is (P)rivate(L)og(M)essage_xxx
  PLM_APPLICATION_NAME = 1;
  PLM_START_FILE = 2;
  PLM_NAMED_LOG = 3;
  PLM_NR_OF_FILES = 4;
  PLM_SWITCHTIME = 5;  // in minuten..
  PLM_BYEBYE = 6;
  PLM_ALIVE_AND_KICKING = 7;

// LM_xxx is (L)og(M)essage_xxx
  LM_STRING = 10;
  LM_WARNING = 11;

// UDP_messages..
  UDP_ACK = 100;
  UDP_REQ_ALIVE_SIGN = 101;
  UDP_YOUR_LOGGED_OFF = 102;

resourcestring
  no_connection = 'The connection with the Log-daemon is not setup';
  unknown_yet = '<unknown>';
  na = '<na>';
  unknownFileName = 'UnknownLogFile';
  wrong_ipc_message = 'Unknown log-message received: type: %S, size: %d';
  exception_while_handling = 'Exception while handling message: %s'+
                             '. Message: %s';
  unknown_client_descr = 'Unknown client client (Descr: %d), Message: %s, '+
                         'size: %d.';

  sWarningLevel = ' -WL-=%d, Mess=';


function TranslateMessageNr( iMessNr: integer ): string;

implementation

function TranslateMessageNr( iMessNr: integer ): string;
begin
  case iMessNr of
    PLM_APPLICATION_NAME: result :=  '<Exe-Name>';
    LM_STRING: result := '<String>';
  else
    result := Format( '<Unknown> nr: %d', [iMessNr] );
  end;
end;

end.
